﻿* Encoding: UTF-8.
* Descriptive statistics (for sample description).

* SOCIODEMOGRAPHIC, LIFESTYLE AND CLINICAL VARIABLES.
* Metric variables.
FREQUENCIES VARIABLES=Alter Anzahl_Arztbesuche Anzahl_Krankenhaus_stationär Computernutzung_Tage 
    Handynutzung_Tage Internetnutzung_Tage Sozio2_Jahre_Kindheit_Herkunftswohnort Sozio12_Wöchentliche_Arbeitszeit
    Sozio14_ständige_Personen_Haushalt Sozio15_beitragende_Personen_Haushaltseinkommen
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

* Categorical variables.
FREQUENCIES VARIABLES=Geschlecht Geburtsort_Land Muttersprache Gesund_Vergleich_Gleichaltrige 
  Erkrankung1_Diabetes_mellitus Erkrankung2_Hypertonie 
    Erkrankung3_Erhöhte_Blutfettwerte Erkrankung4_Herzinfarkt Erkrankung5_Erkrankung_Leber 
    Erkrankung6_Niereninsuffizienz Erkrankung7_Krebserkrankung Erkrankung8_TumorGehirn 
    Erkrankung9_SchädelHirnTrauma Erkrankung10_Schwere_Gehirnverletzung Erkrankung11_Hirnblutung 
    Erkrankung12_Hirninfarkt Erkrankung13_Entzündliche_Erkrankungen_Gehirn 
    Erkrankung14_Neurodegenerative_Erkrankungen Erkrankung15_Bipolare_Störung 
    Erkrankung16_Organische_Psychische_Störungen Erkrankung17_Bekannte_Intelligenzminderung 
    Erkrankung18_Epilepsie Erkrankung19_Depression Erkrankung20_Schizophrenie Erkrankung21_Angststörung 
    Erkrankung22_Zwangsstörung Erkrankung23_Essstörung Erkrankung24_Posttraumatische_Belastungsstörung 
    Erkrankung25_ADHS Erkrankung26_Persönlichkeitsstörungen Erkrankung27_Suchterkrankung_Alkohol 
    Erkrankung28_Suchterkrankung_Medikamente Erkrankung29_Suchterkrankung_Drogen
    psychotherap_Behandlung psychiatr_Behandlung Suchtmittel_eingenommen Einschränkung_berufliche_Tätigkeit Einschränkung_Alltagsaktivität 
    Einschränkung_soziale_Aktivität Körperliche_Schmerzen Sehschwäche Sehhilfe 
    motorische_Einschränkungen_Handynutzung Computernutzung_Stunden_Werktage 
    Computernutzung_Stunden_Wochenende Handynutzung_Stunden_Werktage Handynutzung_Stunden_Wochenende 
    Internetnutzung_Stunden_Werktage Internetnutzung_Stunden_Wochenende Häufigkeit_Alkoholkonsum 
    Menge_Alkoholkonsum Medikamente Name_Medikamente Steigerung_Leistungsfähigkeit Mittel_geistige_Leistungssteigerung Rauchen Sport Sport_Häufigkeit
    illegale_Drogen Substanz Substanz1 Substanz1_Aktualität Substanz1_Häufigkeit Substanz1_Dynamik 
    Substanz2 Substanz2_Aktualität Substanz2_Häufigkeit Substanz2_Dynamik Teilnahme_TrainingResilienz 
    Bezeichnung_TrainingResilienz Teilnahme_TrainingpsychGesundheit Bezeichnung_TrainingpsychGesundheit 
    Sozio1_Herkunft_Wohnortgröße Sozio3_Familienstatus Sozio4_Kinder Sozio5_Geschwister 
    Sozio6_Höchster_Schulabschluss Sozio7a_berufl._Situation Sozio7b_Nebenberuf Sozio7c_Berufstätigkeit 
    Sozio7_Erwerbsstatus Sozio9_Abhängigkeit_Beschäftigung Sozio10_Anzahl_Arbeitsverhältnisse 
    Sozio11_Personalverantwortung Sozio12_Wöchentliche_Arbeitszeit Sozio13_Schichtdienst Sozio16_monatliches_Netteinkommen_Haushalt 
    Sozio17_eigenes_monatliches_Netteinkommen
  /ORDER=ANALYSIS.

* BASELINE VARIABLES & COVARIATES.
FREQUENCIES VARIABLES=Prä_LOTR_gesamt Post_LOTR_gesamt SPF_Sum SES_Mean Prä_Attribution_gesamt_pos Prä_Attribution_gesamt_neg 
Post_Attribution_gesamt_pos Post_Attribution_gesamt_neg Screen_DH_Häufigkeit Post_DH_Häufigkeit
DH_mid1_Sum DH_mid2_Sum DH_mid3_Sum  DH_Häufigkeit_gesamt Prä_LE_Häufigkeit Post_LE_Häufigkeit 
LE_Häufigkeit_gesamt DH_Screen_Belastung_Sum DH_Post_Belastung_Sum
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

* OUTCOME VARIABLES.
* Outcomes at pre- and post-test.
FREQUENCIES VARIABLES=Prä_PSS_gesamt Prä_PSS_ph Prä_PSS_pse Post_PSS_gesamt Post_PSS_ph Post_PSS_pse
Prä_GHQ28_gesamt Post_GHQ28_gesamt Prä_BRS_gesamt Post_BRS_gesamt Prä_PANAS_posaffekt Prä_PANAS_negaffekt 
Post_PANAS_posaffekt Post_PANAS_negaffekt Prä_WHO5_gesamt_transf Post_WHO5_gesamt_transf  Prä_STAXI_stateärg 
Prä_STAXI_angerin Prä_STAXI_angerout Prä_STAXI_angercontr Post_STAXI_stateärg Post_STAXI_angerin 
Post_STAXI_angerout Post_STAXI_angercontr Prä_ERQ_gesamt Post_ERQ_gesamt Prä_CERQ_posneu 
Post_CERQ_posneu AAT_compatscore_Prä AAT_compatscore_Post
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

* Difference scores of study outcomes.
FREQUENCIES VARIABLES=PSS_diff GHQ28_diff  BRS_diff PANAS_posaffekt_diff PANAS_negaffekt_diff
WHO5_diff STAXI_stateärg_diff STAXI_angerin_diff STAXI_angerout_diff STAXI_angercontr_diff
ERQ_diff CERQ_posneu_diff AAT_diff     
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

* EVALUATION OF TRAINING (post-test questionnaire). 
DESCRIPTIVES VARIABLES=Bewertung_Training_Post_1 Bewertung_Training_Post_2 
    Bewertung_Training_Post_3 Bewertung_Training_Post_4 Bewertung_Training_Post_5 
    Bewertung_Training_Post_6 Bewertung_Training_Post_7 Bewertung_Training_Post_8 
    Bewertung_Training_Post_9 Bewertung_Training_Post_10 Bewertung_Training_Post_11 
    Bewertung_Training_Post_12 Bewertung_Training_Post_13 Bewertung_Training_Post_14 
    Bewertung_Training_Post_15 Bewertung_Training_Post_16 Bewertung_Training_Post_17
  /STATISTICS=MEAN STDDEV MIN MAX.




