﻿* Encoding: UTF-8.

* Exclusion of LifeStress participants not meeting the eligibility criteria of Train4Positivity.

* 1) stressor exposure: calculation of sum of microstressors in past 7 days (MIMIS).
COMPUTE Stressorexposition_DH_Kriterium_30=SUM(DH_Prä_1_Tage, DH_Prä_2_Tage, DH_Prä_3_Tage, 
    DH_Prä_4_Tage, DH_Prä_5_Tage, DH_Prä_6_Tage, DH_Prä_7_Tage, DH_Prä_8_Tage, DH_Prä_9_Tage, 
    DH_Prä_10_Tage, DH_Prä_11_Tage, DH_Prä_12_Tage, DH_Prä_13_Tage, DH_Prä_14_Tage, DH_Prä_15_Tage, 
    DH_Prä_16_Tage, DH_Prä_17_Tage, DH_Prä_18_Tage, DH_Prä_19_Tage, DH_Prä_20_Tage, DH_Prä_21_Tage, 
    DH_Prä_22_Tage, DH_Prä_23_Tage, DH_Prä_24_Tage, DH_Prä_25_Tage, DH_Prä_26_Tage, DH_Prä_27_Tage, 
    DH_Prä_28_Tage, DH_Prä_29_Tage, DH_Prä_30_Tage, DH_Prä_31_Tage, DH_Prä_32_Tage, DH_Prä_33_Tage, 
    DH_Prä_34_Tage, DH_Prä_35_Tage, DH_Prä_36_Tage, DH_Prä_37_Tage, DH_Prä_38_Tage, DH_Prä_39_Tage, 
    DH_Prä_40_Tage, DH_Prä_41_Tage, DH_Prä_42_Tage, DH_Prä_43_Tage, DH_Prä_44_Tage, DH_Prä_45_Tage, 
    DH_Prä_46_Tage, DH_Prä_47_Tage, DH_Prä_48_Tage, DH_Prä_49_Tage, DH_Prä_50_Tage, DH_Prä_51_Tage, 
    DH_Prä_52_Tage, DH_Prä_53_Tage, DH_Prä_54_Tage, DH_Prä_55_Tage, DH_Prä_56_Tage, DH_Prä_57_Tage, 
    DH_Prä_58_Tage, DH_Prä_60a_Tage, DH_Prä_60b_Tage, DH_Prä_60c_Tage, DH_Prä_60d_Tage, DH_Prä_60e_Tage).
EXECUTE.

* 2) GHQ-28: calculation of total score (sum score) of GHQ-28.
COMPUTE GHQ28_Summenwert_Kriterium_23=SUM(GHQ_Prä_1, GHQ_Prä_2, GHQ_Prä_3, GHQ_Prä_4, GHQ_Prä_5, 
    GHQ_Prä_6, GHQ_Prä_7, GHQ_Prä_8, GHQ_Prä_9, GHQ_Prä_10, GHQ_Prä_11, GHQ_Prä_12, GHQ_Prä_13, 
    GHQ_Prä_14, GHQ_Prä_15, GHQ_Prä_16, GHQ_Prä_17, GHQ_Prä_18, GHQ_Prä_19, GHQ_Prä_20, GHQ_Prä_21, 
    GHQ_Prä_22, GHQ_Prä_23, GHQ_Prä_24, GHQ_Prä_25, GHQ_Prä_26, GHQ_Prä_27, GHQ_Prä_28).
EXECUTE.

* 3) Intake of substances for cognitive enhancement, alcohol consumption, consumption of illegal drugs (cannabis). 
DESCRIPTIVES VARIABLES=Alkoholkonsum_Gläser Cannabiskonsum_Monat Cannabiskonsum_Jahre
  /STATISTICS=MEAN STDDEV MIN MAX.

FREQUENCIES VARIABLES=Steigerung_Leistungsfähigkeit Mittel_geistige_Leistungssteigerung
  /ORDER=ANALYSIS.

* 4) Previous and current diseases (including mental disorders). 
FREQUENCIES VARIABLES=Erkrankung1_Diabetes_mellitus_V6008_1_MH1_MH01X 
    Erkrankung2_Hypertonie_V6008_1_MH1_MH02 Erkrankung3_Erhöhte_Blutfettwerte_V6008_1_MH1_MH03 
    Erkrankung4_Herzinfarkt_V6008_1_MH1_MH04 Erkrankung5_Erkrankung_Leber_V6008_1_MH1_MH05 
    Erkrankung6_Niereninsuffizienz_V6008_1_MH1_MH06 Erkrankung7_Krebserkrankung_V6008_1_MH1_MH07 
    Erkrankung8_TumorGehirn_V6008_1_MH1_MH08 Erkrankung9_SchädelHirnTrauma_V6008_1_MH1_MH09 
    Erkrankung10_Schwere_Gehirnverletzung_V6008_1_MH1_MH10 Erkrankung11_Hirnblutung_V6008_1_MH1_MH11 
    Erkrankung12_Hirninfarkt_V6008_1_MH1_MH12 
    Erkrankung13_Entzündliche_Erkrankungen_Gehirn_V6008_1_MH1_MH13 
    Erkrankung14_Neurodegenerative_Erkrankungen_V6008_1_MH1_MH14 
    Erkrankung15_Bipolare_Störung_V6008_1_MH1_MH15 
    Erkrankung16_Organische_Psychische_Störungen_V6008_1_MH1_MH16 
    Erkrankung17_Bekannte_Intelligenzminderung_V6008_1_MH1_MH17 Erkrankung18_Epilepsie_V6008_1_MH1_MH18 
    Erkrankung19_Depression_V6008_1_MH1_MH19 Erkrankung20_Schizophrenie_V6008_1_MH1_MH20 
    Erkrankung21_Angststörung_V6008_1_MH1_MH21 Erkrankung22_Zwangsstörung_V6008_1_MH1_MH22 
    Erkrankung23_Essstörung_V6008_1_MH1_MH23 Erkrankung24_Sonstige_V6008_1_MH1_MH24 
    offen_Erkrankung24_Sonstige_V6008_1_MH1_MH24TXT V6008_1_MH1_MH25 V6008_1_MH1_MH26CUR 
    V6008_1_MH1_MH27CUR V6008_1_MH1_MH28CUR V6008_1_MH1_MH29CUR V6008_1_MH1_MH30CUR
  /ORDER=ANALYSIS.

FREQUENCIES VARIABLES=Gesund_Vergleich_Gleichaltrige
  /ORDER=ANALYSIS.


