﻿* Encoding: UTF-8.
* Further preparation of dataset with LifeStress and Train4Positivity data prior to Missing Values Analysis of complete datset.

* Missing Values Analyses for DH_Prä_1 etc. in order to determine if there are any missing values.
MVA VARIABLES= DH_Prä_1 DH_Prä_2 DH_Prä_3 DH_Prä_4 DH_Prä_5 DH_Prä_6 DH_Prä_7 DH_Prä_8 DH_Prä_9 
    DH_Prä_10 DH_Prä_11 DH_Prä_12 DH_Prä_13 DH_Prä_14 DH_Prä_15 DH_Prä_16 DH_Prä_17 DH_Prä_18 DH_Prä_19 
    DH_Prä_20 DH_Prä_21 DH_Prä_22 DH_Prä_23 DH_Prä_24 DH_Prä_25 DH_Prä_26 DH_Prä_27 DH_Prä_28 DH_Prä_29 
    DH_Prä_30 DH_Prä_31 DH_Prä_32 DH_Prä_33 DH_Prä_34 DH_Prä_35 DH_Prä_36 DH_Prä_37 DH_Prä_38 DH_Prä_39 
    DH_Prä_40 DH_Prä_41 DH_Prä_42 DH_Prä_43 DH_Prä_44 DH_Prä_45 DH_Prä_46 DH_Prä_47 DH_Prä_48 DH_Prä_49 
    DH_Prä_50 DH_Prä_51 DH_Prä_52 DH_Prä_53 DH_Prä_54 DH_Prä_55 DH_Prä_56 DH_Prä_57 DH_Prä_58 DH_Post3W_1
    DH_Post3W_2 DH_Post3W_3 DH_Post3W_4 DH_Post3W_5 DH_Post3W_6 DH_Post3W_7 DH_Post3W_8 DH_Post3W_9
    DH_Post3W_10 DH_Post3W_11 DH_Post3W_12 DH_Post3W_13 DH_Post3W_14 DH_Post3W_15 DH_Post3W_16 DH_Post3W_17
    DH_Post3W_18 DH_Post3W_19 DH_Post3W_20 DH_Post3W_21 DH_Post3W_22 DH_Post3W_23 DH_Post3W_24 DH_Post3W_25
    DH_Post3W_26 DH_Post3W_27 DH_Post3W_28 DH_Post3W_29 DH_Post3W_30 DH_Post3W_31 DH_Post3W_32 DH_Post3W_33
    DH_Post3W_34 DH_Post3W_35 DH_Post3W_36 DH_Post3W_37 DH_Post3W_38 DH_Post3W_39 DH_Post3W_40 DH_Post3W_41
    DH_Post3W_42 DH_Post3W_43 DH_Post3W_44 DH_Post3W_45 DH_Post3W_46 DH_Post3W_47 DH_Post3W_48 DH_Post3W_49
    DH_Post3W_50 DH_Post3W_51 DH_Post3W_52 DH_Post3W_53 DH_Post3W_54 DH_Post3W_55 DH_Post3W_56 DH_Post3W_57
    DH_Post3W_58
  /MAXCAT=25.
* --> does only apply to items no. 23 and 48, i.e. one participant has not indicated anything here --> therefore, not replaced with 0.

* For other values: "." is replaced with 0, i.e. recoding 
(originally "n.a." was replaced with "." everywhere; however, in consistence with dataset 1 for other RQs and in line with procedures in LifeStress (Lara Mey)
where 0 was also used if no stressor occurred, "." is changed to 0.
* Days of occurence of microstressors in MIMIS (DH_Tage).
RECODE DH_Prä_1_Tage DH_Prä_2_Tage DH_Prä_3_Tage DH_Prä_4_Tage DH_Prä_5_Tage DH_Prä_6_Tage 
    DH_Prä_7_Tage DH_Prä_8_Tage DH_Prä_9_Tage DH_Prä_10_Tage DH_Prä_11_Tage DH_Prä_12_Tage 
    DH_Prä_13_Tage DH_Prä_14_Tage DH_Prä_15_Tage DH_Prä_16_Tage DH_Prä_17_Tage DH_Prä_18_Tage 
    DH_Prä_19_Tage DH_Prä_20_Tage DH_Prä_21_Tage DH_Prä_22_Tage DH_Prä_24_Tage DH_Prä_25_Tage 
    DH_Prä_26_Tage DH_Prä_27_Tage DH_Prä_28_Tage DH_Prä_29_Tage DH_Prä_30_Tage DH_Prä_31_Tage 
    DH_Prä_32_Tage DH_Prä_33_Tage DH_Prä_34_Tage DH_Prä_35_Tage DH_Prä_36_Tage DH_Prä_37_Tage 
    DH_Prä_38_Tage DH_Prä_39_Tage DH_Prä_40_Tage DH_Prä_41_Tage DH_Prä_42_Tage DH_Prä_43_Tage 
    DH_Prä_44_Tage DH_Prä_45_Tage DH_Prä_46_Tage DH_Prä_47_Tage DH_Prä_49_Tage DH_Prä_50_Tage 
    DH_Prä_51_Tage DH_Prä_52_Tage DH_Prä_53_Tage DH_Prä_54_Tage DH_Prä_55_Tage DH_Prä_56_Tage 
    DH_Prä_57_Tage DH_Prä_58_Tage DH_Post3W_1_Tage DH_Post3W_2_Tage DH_Post3W_3_Tage 
    DH_Post3W_4_Tage DH_Post3W_5_Tage DH_Post3W_6_Tage DH_Post3W_7_Tage DH_Post3W_8_Tage 
    DH_Post3W_9_Tage DH_Post3W_10_Tage DH_Post3W_11_Tage DH_Post3W_12_Tage DH_Post3W_13_Tage DH_Post3W_14_Tage 
    DH_Post3W_15_Tage DH_Post3W_16_Tage DH_Post3W_17_Tage DH_Post3W_18_Tage DH_Post3W_19_Tage DH_Post3W_20_Tage 
    DH_Post3W_21_Tage DH_Post3W_22_Tage DH_Post3W_23_Tage DH_Post3W_24_Tage DH_Post3W_25_Tage DH_Post3W_26_Tage
     DH_Post3W_27_Tage DH_Post3W_28_Tage DH_Post3W_29_Tage DH_Post3W_30_Tage DH_Post3W_31_Tage DH_Post3W_32_Tage 
    DH_Post3W_33_Tage DH_Post3W_34_Tage DH_Post3W_35_Tage DH_Post3W_36_Tage DH_Post3W_37_Tage DH_Post3W_38_Tage 
    DH_Post3W_39_Tage DH_Post3W_40_Tage DH_Post3W_41_Tage DH_Post3W_42_Tage DH_Post3W_43_Tage DH_Post3W_44_Tage
    DH_Post3W_45_Tage DH_Post3W_46_Tage DH_Post3W_47_Tage DH_Post3W_48_Tage DH_Post3W_49_Tage DH_Post3W_50_Tage
    DH_Post3W_51_Tage DH_Post3W_52_Tage DH_Post3W_53_Tage DH_Post3W_54_Tage DH_Post3W_55_Tage DH_Post3W_56_Tage 
    DH_Post3W_57_Tage DH_Post3W_58_Tage (MISSING=0).
EXECUTE.

* Peceived severity of microstressors in MIMIS (DH_Belastung).
RECODE DH_Prä_1_Belastung DH_Prä_2_Belastung DH_Prä_3_Belastung DH_Prä_4_Belastung 
    DH_Prä_5_Belastung DH_Prä_6_Belastung DH_Prä_7_Belastung DH_Prä_8_Belastung DH_Prä_9_Belastung 
    DH_Prä_10_Belastung DH_Prä_11_Belastung DH_Prä_12_Belastung DH_Prä_13_Belastung DH_Prä_14_Belastung 
    DH_Prä_15_Belastung DH_Prä_16_Belastung DH_Prä_17_Belastung DH_Prä_18_Belastung DH_Prä_19_Belastung 
    DH_Prä_20_Belastung DH_Prä_21_Belastung DH_Prä_22_Belastung DH_Prä_24_Belastung DH_Prä_25_Belastung 
    DH_Prä_26_Belastung DH_Prä_27_Belastung DH_Prä_28_Belastung DH_Prä_29_Belastung DH_Prä_30_Belastung 
    DH_Prä_31_Belastung DH_Prä_32_Belastung DH_Prä_33_Belastung DH_Prä_34_Belastung DH_Prä_35_Belastung 
    DH_Prä_36_Belastung DH_Prä_37_Belastung DH_Prä_38_Belastung DH_Prä_39_Belastung DH_Prä_40_Belastung 
    DH_Prä_41_Belastung DH_Prä_42_Belastung DH_Prä_43_Belastung DH_Prä_44_Belastung DH_Prä_45_Belastung 
    DH_Prä_46_Belastung DH_Prä_47_Belastung DH_Prä_49_Belastung DH_Prä_50_Belastung DH_Prä_51_Belastung 
    DH_Prä_52_Belastung DH_Prä_53_Belastung DH_Prä_54_Belastung DH_Prä_55_Belastung DH_Prä_56_Belastung 
    DH_Prä_57_Belastung DH_Prä_58_Belastung DH_Post3W_1_Belastung DH_Post3W_2_Belastung DH_Post3W_3_Belastung 
    DH_Post3W_4_Belastung DH_Post3W_5_Belastung DH_Post3W_6_Belastung DH_Post3W_7_Belastung DH_Post3W_8_Belastung
    DH_Post3W_9_Belastung DH_Post3W_10_Belastung DH_Post3W_11_Belastung DH_Post3W_12_Belastung DH_Post3W_13_Belastung 
    DH_Post3W_14_Belastung DH_Post3W_15_Belastung DH_Post3W_16_Belastung DH_Post3W_17_Belastung DH_Post3W_18_Belastung
    DH_Post3W_19_Belastung DH_Post3W_20_Belastung DH_Post3W_21_Belastung DH_Post3W_22_Belastung DH_Post3W_23_Belastung
    DH_Post3W_24_Belastung DH_Post3W_25_Belastung DH_Post3W_26_Belastung DH_Post3W_27_Belastung DH_Post3W_28_Belastung
    DH_Post3W_29_Belastung DH_Post3W_30_Belastung DH_Post3W_31_Belastung DH_Post3W_32_Belastung DH_Post3W_33_Belastung
    DH_Post3W_34_Belastung DH_Post3W_35_Belastung DH_Post3W_36_Belastung DH_Post3W_37_Belastung DH_Post3W_38_Belastung 
    DH_Post3W_39_Belastung DH_Post3W_40_Belastung DH_Post3W_41_Belastung DH_Post3W_42_Belastung DH_Post3W_43_Belastung
    DH_Post3W_44_Belastung DH_Post3W_45_Belastung DH_Post3W_46_Belastung DH_Post3W_47_Belastung DH_Post3W_48_Belastung 
    DH_Post3W_49_Belastung DH_Post3W_50_Belastung DH_Post3W_51_Belastung DH_Post3W_52_Belastung DH_Post3W_53_Belastung
    DH_Post3W_54_Belastung DH_Post3W_55_Belastung DH_Post3W_56_Belastung DH_Post3W_57_Belastung
    DH_Post3W_58_Belastung (MISSING=0).
EXECUTE.

* For item 23 and 48, 0 is entered manually in case there is indeed no missing value.
