﻿* Encoding: UTF-8.
* Analysis of outliers and extreme values.

* BASELINE VARIABLES & COVARIATES.
* LOT-R.
EXAMINE VARIABLES=Prä_LOTR_gesamt Post_LOTR_gesamt
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* SPF/IRI-S-D.
EXAMINE VARIABLES=SPF_Sum 
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* SDS-17.
EXAMINE VARIABLES=SES_Mean 
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* ASF-E-P.
EXAMINE VARIABLES=Prä_Attribution_gesamt_pos Post_Attribution_gesamt_pos
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* ASF-E-N.
EXAMINE VARIABLES=Prä_Attribution_gesamt_neg Post_Attribution_gesamt_neg
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* LE Checklist.
EXAMINE VARIABLES=Prä_LE_Häufigkeit Post_LE_Häufigkeit LE_Häufigkeit_gesamt
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* MIMIS.
EXAMINE VARIABLES=Screen_DH_Häufigkeit Post_DH_Häufigkeit DH_Häufigkeit_gesamt
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* OUTCOME VARIABLES (including difference scores).
* PSS-10.
EXAMINE VARIABLES=Prä_PSS_gesamt Post_PSS_gesamt PSS_diff
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* AAT-CS.
EXAMINE VARIABLES=AAT_compatscore_Prä AAT_compatscore_Post AAT_diff
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* GHQ-28.
EXAMINE VARIABLES=Prä_GHQ28_gesamt Post_GHQ28_gesamt GHQ28_diff
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* BRS.
EXAMINE VARIABLES=Prä_BRS_gesamt Post_BRS_gesamt BRS_diff
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* WHO-5.
EXAMINE VARIABLES=Prä_WHO5_gesamt_transf Post_WHO5_gesamt_transf WHO5_diff
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* ERQ.
EXAMINE VARIABLES=Prä_ERQ_gesamt Post_ERQ_gesamt ERQ_diff
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* CERQ.
EXAMINE VARIABLES=Prä_CERQ_posneu Post_CERQ_posneu CERQ_posneu_diff
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* PANAS-PA.
EXAMINE VARIABLES=Prä_PANAS_posaffekt Post_PANAS_posaffekt PANAS_posaffekt_diff
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* PANAS-NA.
EXAMINE VARIABLES=Prä_PANAS_negaffekt Post_PANAS_negaffekt PANAS_negaffekt_diff
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* STAXI-state anger.
EXAMINE VARIABLES=Prä_STAXI_stateärg Post_STAXI_stateärg STAXI_stateärg_diff
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* STAXI-anger in.
EXAMINE VARIABLES=Prä_STAXI_angerin Post_STAXI_angerin STAXI_angerin_diff
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* STAXI-anger out.
EXAMINE VARIABLES=Prä_STAXI_angerout Post_STAXI_angerout STAXI_angerout_diff
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* STAXI-anger control.
EXAMINE VARIABLES=Prä_STAXI_angercontr Post_STAXI_angercontr STAXI_angercontr_diff
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
