﻿* Encoding: UTF-8.
* RQ6: Validation of AAT by the bivariate Pearson correlations between the AAT Compatibility Score (AAT-CS) and optimism (LOT-R total score, LOT-R
optimism score), attributional style for positive and negative situations (ASF-E-P, ASF-E-N), the ability to recover from stress (BRS) and 
perceived stress (PSS-10) at pre-test.

* a. Testing of linearity (scatterplots).
* LOT-R total score. 
GRAPH
  /SCATTERPLOT(BIVAR)=Prä_LOTR_gesamt WITH AAT_compatscore_Prä
  /MISSING=LISTWISE.

* LOT-R optimism score. 
GRAPH
  /SCATTERPLOT(BIVAR)=Prä_LOTR_opt WITH AAT_compatscore_Prä
  /MISSING=LISTWISE.

* ASF-E-P.
GRAPH
  /SCATTERPLOT(BIVAR)=Prä_Attribution_gesamt_pos WITH AAT_compatscore_Prä
  /MISSING=LISTWISE.

* ASF-E-N.
GRAPH
  /SCATTERPLOT(BIVAR)=Prä_Attribution_gesamt_neg WITH AAT_compatscore_Prä
  /MISSING=LISTWISE.

* BRS.
GRAPH
  /SCATTERPLOT(BIVAR)=Prä_BRS_gesamt WITH AAT_compatscore_Prä
  /MISSING=LISTWISE.

* PSS-10.
GRAPH
  /SCATTERPLOT(BIVAR)=Prä_PSS_gesamt WITH AAT_compatscore_Prä
  /MISSING=LISTWISE.

* b. Testing of univariate normality for all variables (in exploratory data analysis; including Shapiro-Wilk test).
EXAMINE VARIABLES=Prä_LOTR_gesamt Prä_LOTR_opt Prä_Attribution_gesamt_pos 
    Prä_Attribution_gesamt_neg Prä_BRS_gesamt Prä_PSS_gesamt AAT_compatscore_Prä
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
* Normality assumption is not fulfilled for all variables; LOT-R optimism score, AAT-CS pre; however, according to central limit theorem, normality can be
assumed due to > 30 participants. 

* c. Calculation of bivariate Pearson correlations (all variables are metric).
CORRELATIONS
  /VARIABLES=Prä_LOTR_gesamt Prä_LOTR_opt Prä_Attribution_gesamt_pos 
    Prä_Attribution_gesamt_neg Prä_BRS_gesamt Prä_PSS_gesamt AAT_compatscore_Prä
  /PRINT=TWOTAIL NOSIG
  /STATISTICS DESCRIPTIVES
  /MISSING=PAIRWISE.

