﻿* Encoding: UTF-8.
* Further preparation of combined dataset LifeStress & Train4Positivity data.

* Missing Values Analysis; focus on 58 fixed items of Mainz Microstressor Inventory (MIMIS).
MVA VARIABLES=Alter_aktuell_2019 GHQ_Prä_1 GHQ_Prä_2 GHQ_Prä_3 GHQ_Prä_4 GHQ_Prä_5 GHQ_Prä_6 
    GHQ_Prä_7 GHQ_Prä_8 GHQ_Prä_9 GHQ_Prä_10 GHQ_Prä_11 GHQ_Prä_12 GHQ_Prä_13 GHQ_Prä_14 GHQ_Prä_15 
    GHQ_Prä_16 GHQ_Prä_17 GHQ_Prä_18 GHQ_Prä_19 GHQ_Prä_20 GHQ_Prä_21 GHQ_Prä_22 GHQ_Prä_23 GHQ_Prä_24 
    GHQ_Prä_25 GHQ_Prä_26 GHQ_Prä_27 GHQ_Prä_28 CERQ_Prä_1 CERQ_Prä_2 CERQ_Prä_3 CERQ_Prä_4 CERQ_Prä_5 CERQ_Prä_6 CERQ_Prä_7 
    CERQ_Prä_8 CERQ_Prä_9 CERQ_Prä_10 CERQ_Prä_11 CERQ_Prä_12 CERQ_Prä_13 CERQ_Prä_14 CERQ_Prä_15 
    CERQ_Prä_16 CERQ_Prä_17 CERQ_Prä_18 CERQ_Prä_19 CERQ_Prä_20 CERQ_Prä_21 CERQ_Prä_22 CERQ_Prä_23 
    CERQ_Prä_24 CERQ_Prä_25 CERQ_Prä_26 CERQ_Prä_27 WHO_Prä_1 WHO_Prä_2 WHO_Prä_3 WHO_Prä_4 WHO_Prä_5 
    DH_Prä_1_Tage DH_Prä_1_Belastung DH_Prä_2_Tage DH_Prä_2_Belastung DH_Prä_3_Tage DH_Prä_3_Belastung 
    DH_Prä_4_Tage DH_Prä_4_Belastung DH_Prä_5_Tage DH_Prä_5_Belastung DH_Prä_6_Tage DH_Prä_6_Belastung 
    DH_Prä_7_Tage DH_Prä_7_Belastung DH_Prä_8_Tage DH_Prä_8_Belastung DH_Prä_9_Tage DH_Prä_9_Belastung 
    DH_Prä_10_Tage DH_Prä_10_Belastung DH_Prä_11_Tage DH_Prä_11_Belastung DH_Prä_12_Tage 
    DH_Prä_12_Belastung DH_Prä_13_Tage DH_Prä_13_Belastung DH_Prä_14_Tage DH_Prä_14_Belastung 
    DH_Prä_15_Tage DH_Prä_15_Belastung DH_Prä_16_Tage DH_Prä_16_Belastung DH_Prä_17_Tage 
    DH_Prä_17_Belastung DH_Prä_18_Tage DH_Prä_18_Belastung DH_Prä_19_Tage DH_Prä_19_Belastung 
    DH_Prä_20_Tage DH_Prä_20_Belastung DH_Prä_21_Tage DH_Prä_21_Belastung DH_Prä_22_Tage 
    DH_Prä_22_Belastung DH_Prä_23_Tage DH_Prä_23_Belastung DH_Prä_24_Tage DH_Prä_24_Belastung 
    DH_Prä_25_Tage DH_Prä_25_Belastung DH_Prä_26_Tage DH_Prä_26_Belastung DH_Prä_27_Tage 
    DH_Prä_27_Belastung DH_Prä_28_Tage DH_Prä_28_Belastung DH_Prä_29_Tage DH_Prä_29_Belastung 
    DH_Prä_30_Tage DH_Prä_30_Belastung DH_Prä_31_Tage DH_Prä_31_Belastung DH_Prä_32_Tage 
    DH_Prä_32_Belastung DH_Prä_33_Tage DH_Prä_33_Belastung DH_Prä_34_Tage DH_Prä_34_Belastung 
    DH_Prä_35_Tage DH_Prä_35_Belastung DH_Prä_36_Tage DH_Prä_36_Belastung DH_Prä_37_Tage 
    DH_Prä_37_Belastung DH_Prä_38_Tage DH_Prä_38_Belastung DH_Prä_39_Tage DH_Prä_39_Belastung 
    DH_Prä_40_Tage DH_Prä_40_Belastung DH_Prä_41_Tage DH_Prä_41_Belastung DH_Prä_42_Tage 
    DH_Prä_42_Belastung DH_Prä_43_Tage DH_Prä_43_Belastung DH_Prä_44_Tage DH_Prä_44_Belastung 
    DH_Prä_45_Tage DH_Prä_45_Belastung DH_Prä_46_Tage DH_Prä_46_Belastung DH_Prä_47_Tage 
    DH_Prä_47_Belastung DH_Prä_48_Tage DH_Prä_48_Belastung DH_Prä_49_Tage DH_Prä_49_Belastung 
    DH_Prä_50_Tage DH_Prä_50_Belastung DH_Prä_51_Tage DH_Prä_51_Belastung DH_Prä_52_Tage 
    DH_Prä_52_Belastung DH_Prä_53_Tage DH_Prä_53_Belastung DH_Prä_54_Tage DH_Prä_54_Belastung 
    DH_Prä_55_Tage DH_Prä_55_Belastung DH_Prä_56_Tage DH_Prä_56_Belastung DH_Prä_57_Tage 
    DH_Prä_57_Belastung DH_Prä_58_Tage DH_Prä_58_Belastung DH_Post3W_1_Tage DH_Post3W_1_Belastung 
    DH_Post3W_2_Tage DH_Post3W_2_Belastung DH_Post3W_3_Tage DH_Post3W_3_Belastung DH_Post3W_4_Tage 
    DH_Post3W_4_Belastung DH_Post3W_5_Tage DH_Post3W_5_Belastung DH_Post3W_6_Tage DH_Post3W_6_Belastung 
    DH_Post3W_7_Tage DH_Post3W_7_Belastung DH_Post3W_8_Tage DH_Post3W_8_Belastung DH_Post3W_9_Tage 
    DH_Post3W_9_Belastung DH_Post3W_10_Tage DH_Post3W_10_Belastung DH_Post3W_11_Tage 
    DH_Post3W_11_Belastung DH_Post3W_12_Tage DH_Post3W_12_Belastung DH_Post3W_13_Tage 
    DH_Post3W_13_Belastung DH_Post3W_14_Tage DH_Post3W_14_Belastung DH_Post3W_15_Tage 
    DH_Post3W_15_Belastung DH_Post3W_16_Tage DH_Post3W_16_Belastung DH_Post3W_17_Tage 
    DH_Post3W_17_Belastung DH_Post3W_18_Tage DH_Post3W_18_Belastung DH_Post3W_19_Tage 
    DH_Post3W_19_Belastung DH_Post3W_20_Tage DH_Post3W_20_Belastung DH_Post3W_21_Tage 
    DH_Post3W_21_Belastung DH_Post3W_22_Tage DH_Post3W_22_Belastung DH_Post3W_23_Tage 
    DH_Post3W_23_Belastung DH_Post3W_24_Tage DH_Post3W_24_Belastung DH_Post3W_25_Tage 
    DH_Post3W_25_Belastung DH_Post3W_26_Tage DH_Post3W_26_Belastung DH_Post3W_27_Tage 
    DH_Post3W_27_Belastung DH_Post3W_28_Tage DH_Post3W_28_Belastung DH_Post3W_29_Tage 
    DH_Post3W_29_Belastung DH_Post3W_30_Tage DH_Post3W_30_Belastung DH_Post3W_31_Tage 
    DH_Post3W_31_Belastung DH_Post3W_32_Tage DH_Post3W_32_Belastung DH_Post3W_33_Tage 
    DH_Post3W_33_Belastung DH_Post3W_34_Tage DH_Post3W_34_Belastung DH_Post3W_35_Tage 
    DH_Post3W_35_Belastung DH_Post3W_36_Tage DH_Post3W_36_Belastung DH_Post3W_37_Tage 
    DH_Post3W_37_Belastung DH_Post3W_38_Tage DH_Post3W_38_Belastung DH_Post3W_39_Tage 
    DH_Post3W_39_Belastung DH_Post3W_40_Tage DH_Post3W_40_Belastung DH_Post3W_41_Tage 
    DH_Post3W_41_Belastung DH_Post3W_42_Tage DH_Post3W_42_Belastung DH_Post3W_43_Tage 
    DH_Post3W_43_Belastung DH_Post3W_44_Tage DH_Post3W_44_Belastung DH_Post3W_45_Tage 
    DH_Post3W_45_Belastung DH_Post3W_46_Tage DH_Post3W_46_Belastung DH_Post3W_47_Tage 
    DH_Post3W_47_Belastung DH_Post3W_48_Tage DH_Post3W_48_Belastung DH_Post3W_49_Tage 
    DH_Post3W_49_Belastung DH_Post3W_50_Tage DH_Post3W_50_Belastung DH_Post3W_51_Tage 
    DH_Post3W_51_Belastung DH_Post3W_52_Tage DH_Post3W_52_Belastung DH_Post3W_53_Tage 
    DH_Post3W_53_Belastung DH_Post3W_54_Tage DH_Post3W_54_Belastung DH_Post3W_55_Tage 
    DH_Post3W_55_Belastung DH_Post3W_56_Tage DH_Post3W_56_Belastung DH_Post3W_57_Tage 
    DH_Post3W_57_Belastung DH_Post3W_58_Tage DH_Post3W_58_Belastung LifeEvent1_Prä_HÄUFIGKEIT 
    LifeEvent2_Prä_HÄUFIGKEIT LifeEvent3_Prä_HÄUFIGKEIT LifeEvent4_Prä_HÄUFIGKEIT 
    LifeEvent5_Prä_HÄUFIGKEIT LifeEvent6_Prä_HÄUFIGKEIT LifeEvent7_Prä_HÄUFIGKEIT 
    LifeEvent8_Prä_HÄUFIGKEIT LifeEvent9_Prä_HÄUFIGKEIT LifeEvent10_Prä_HÄUFIGKEIT 
    LifeEvent11_Prä_HÄUFIGKEIT LifeEvent12_Prä_HÄUFIGKEIT LifeEvent13_Prä_HÄUFIGKEIT 
    LifeEvent14_Prä_HÄUFIGKEIT LifeEvent15_Prä_HÄUFIGKEIT LifeEvent16_Prä_HÄUFIGKEIT 
    LifeEvent17_Prä_HÄUFIGKEIT LifeEvent18_Prä_HÄUFIGKEIT LifeEvent19_Prä_HÄUFIGKEIT 
    LifeEvent20_Prä_HÄUFIGKEIT LifeEvent21_Prä_HÄUFIGKEIT LifeEvent22_Prä_HÄUFIGKEIT 
    LifeEvent23_Prä_HÄUFIGKEIT LifeEvent24_Prä_HÄUFIGKEIT LifeEvent25_Prä_HÄUFIGKEIT 
    LifeEvent26_Prä_HÄUFIGKEIT LifeEvent27_Prä_HÄUFIGKEIT BRS_Prä_1 BRS_Prä_2 BRS_Prä_3 BRS_Prä_4 
    BRS_Prä_5 BRS_Prä_6 
  /MAXCAT=25
  /CATEGORICAL=Geschlecht Höchster_Bildungsabschluss Gesund_Vergleich_Gleichaltrige 
    DH_Prä_1 DH_Prä_2 DH_Prä_3 DH_Prä_4 DH_Prä_5 DH_Prä_6 DH_Prä_7 
    DH_Prä_8 DH_Prä_9 DH_Prä_10 DH_Prä_11 DH_Prä_12 DH_Prä_13 DH_Prä_14 DH_Prä_15 DH_Prä_16 DH_Prä_17 
    DH_Prä_18 DH_Prä_19 DH_Prä_20 DH_Prä_21 DH_Prä_22 DH_Prä_23 DH_Prä_24 DH_Prä_25 DH_Prä_26 DH_Prä_27 
    DH_Prä_28 DH_Prä_29 DH_Prä_30 DH_Prä_31 DH_Prä_32 DH_Prä_33 DH_Prä_34 DH_Prä_35 DH_Prä_36 DH_Prä_37 
    DH_Prä_38 DH_Prä_39 DH_Prä_40 DH_Prä_41 DH_Prä_42 DH_Prä_43 DH_Prä_44 DH_Prä_45 DH_Prä_46 DH_Prä_47 
    DH_Prä_48 DH_Prä_49 DH_Prä_50 DH_Prä_51 DH_Prä_52 DH_Prä_53 DH_Prä_54 DH_Prä_55 DH_Prä_56 DH_Prä_57 
    DH_Prä_58 DH_Prä_59_weitereHassels DH_Prä_61b DH_Post3W_1 DH_Post3W_2 DH_Post3W_3 DH_Post3W_4 
    DH_Post3W_5 DH_Post3W_6 DH_Post3W_7 DH_Post3W_8 DH_Post3W_9 DH_Post3W_10 DH_Post3W_11 DH_Post3W_12 
    DH_Post3W_13 DH_Post3W_14 DH_Post3W_15 DH_Post3W_16 DH_Post3W_17 DH_Post3W_18 DH_Post3W_19 
    DH_Post3W_20 DH_Post3W_21 DH_Post3W_22 DH_Post3W_23 DH_Post3W_24 DH_Post3W_25 DH_Post3W_26 
    DH_Post3W_27 DH_Post3W_28 DH_Post3W_29 DH_Post3W_30 DH_Post3W_31 DH_Post3W_32 DH_Post3W_33 
    DH_Post3W_34 DH_Post3W_35 DH_Post3W_36 DH_Post3W_37 DH_Post3W_38 DH_Post3W_39 DH_Post3W_40 
    DH_Post3W_41 DH_Post3W_42 DH_Post3W_43 DH_Post3W_44 DH_Post3W_45 DH_Post3W_46 DH_Post3W_47 
    DH_Post3W_48 DH_Post3W_49 DH_Post3W_50 DH_Post3W_51 DH_Post3W_52 DH_Post3W_53 DH_Post3W_54 
    DH_Post3W_55 DH_Post3W_56 DH_Post3W_57 DH_Post3W_58 LifeEvent1_Prä 
    LifeEvent2_Prä LifeEvent3_Prä LifeEvent4_Prä LifeEvent5_Prä LifeEvent6_Prä LifeEvent7_Prä 
    LifeEvent8_Prä LifeEvent9_Prä LifeEvent10_Prä LifeEvent11_Prä LifeEvent12_Prä LifeEvent13_Prä 
    LifeEvent14_Prä LifeEvent15_Prä LifeEvent16_Prä LifeEvent17_Prä LifeEvent18_Prä LifeEvent19_Prä 
    LifeEvent20_Prä LifeEvent21_Prä LifeEvent22_Prä LifeEvent23_Prä LifeEvent24_Prä LifeEvent25_Prä 
    LifeEvent26_Prä LifeEvent27_Prä
  /DPATTERN
  /MPATTERN
  /TPATTERN PERCENT=1
  /EM(TOLERANCE=0.001 CONVERGENCE=0.0001 ITERATIONS=25).
